from netgen.csg import *
from ngsolve import *

spline = SplineCurve2d() 

H = .1 # why not H=1 here?
R = 1 # why not R=.1 here?

pnts = [ (0,0), (R,0), (R,H), (0,H) ]
segs = [ (0,1), (1,2), (2,3), (3,0) ]

for pnt in pnts:
    spline.AddPoint(*pnt)
for seg in segs:
    spline.AddSegment(*seg)

rev = Revolution(Pnt(0,0,0), Pnt(0,1,0), spline)

geo = CSGeometry()
geo.Add(rev.col([1,0,0]))
geo.Draw()

input("push any key to try to mesh the cylinder:")

mesh = geo.GenerateMesh(maxh=0.5, optsteps2d=3)
mesh = Mesh(mesh)	
mesh.Curve(3)	
Draw(mesh)
